﻿Imports System.Windows.Forms.Application
'ロボットＩ／Ｏクラス
'移動ユニットの制御関連
Public Class RoboIO_Move

    '移動中断（移動用モーター停止）
    Public Sub terminate()
        '変数定義
        Dim buff(64) As Byte

        '移動コマンド（メイン）
        SIO.write_command("0")

        '移動コマンド（サブ）
        frmMain.SerialPort1.Write("0", 0, 1)
    End Sub

    '距離を指定しない移動（移動用モーター起動）
    'モーターの回転方向は、あらかじめ与えておいたパラメータによる
    Public Sub run()
        '変数定義
        Dim buff(64) As Byte

        '移動コマンド（メイン）
        SIO.write_command("0")

        '移動コマンド（サブ）
        frmMain.SerialPort1.Write("1", 0, 1)

    End Sub

    '移動パラメータセット
    Public Sub send_palam(ByVal speed_codeR() As Byte, ByVal speed_codeL() As Byte, ByVal run_dirR As String, ByVal run_dirL As String)
        '変数定義
        Dim buff(64) As Byte

        '移動コマンド（メイン）
        SIO.write_command("0")

        '移動コマンド（サブ）
        frmMain.SerialPort1.Write("2", 0, 1)

        'スピードコード送信
        frmMain.SerialPort1.Write(speed_codeR, 0, 1)
        frmMain.SerialPort1.Write(speed_codeL, 0, 1)

        '移動方向送信
        frmMain.SerialPort1.Write(run_dirR, 0, 1)
        frmMain.SerialPort1.Write(run_dirL, 0, 1)

    End Sub

    '距離／旋回角度を指定した移動
    Public Sub move0(ByVal move_type() As Byte, ByVal move_dir() As Byte, ByVal distance As String)

        '変数定義
        Dim buff(64) As Byte

        '移動コマンド（メイン）
        SIO.write_command("0")

        '移動コマンド（サブ）
        frmMain.SerialPort1.Write("3", 0, 1)

        '移動タイプ送信
        frmMain.SerialPort1.Write(move_type, 0, 1)

        '移動方向を送信
        frmMain.SerialPort1.Write(move_dir, 0, 1)

        '移動距離送信
        SIO.write_int(distance)

    End Sub

End Class
